# PCBJacobiSetUseTrueLocal

Sets a flag to indicate that the block problem is associated with the linear system matrix instead of the default (where it is associated with the preconditioning matrix). That is, if the local system is solved iteratively then it iterates on the block from the matrix using the block from the preconditioner as the preconditioner for the local block.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCBJacobiSetUseTrueLocal(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_bjacobi_truelocal -Activates PCBJacobiSetUseTrueLocal()

### Notes

For the common case in which the preconditioning and linear system matrices are identical, this routine is unnecessary.

### Keywords

block, Jacobi, set, true, local, flag

### See Also

PCSetOperators(), PCBJacobiSetLocalBlocks()

Level:intermediate
Location: src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages